View Issue Details

IDProjectCategoryView StatusLast Update
0016598mantisbtreportspublic2017-06-04 16:19
Reporteribantxo28Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionreopened 
Product Version1.2.15 
Target Version2.6.0Fixed in Version 
Summary0016598: How to show "Category" in the tooltip of graphs?
Description

Is there any configuration to "activate" showing category in tooltips?

Many thanks

TagsNo tags attached.

Activities

ibantxo28

ibantxo28

2013-11-10 06:45

reporter   ~0038523

in core/relationship_graph_api.php

Internal function used to add a bug to the given graph.

function relgraph_add_bug_to_graph( &$p_graph, $p_bug_id, $p_bug, $p_url = null, $p_highlight = false ) {
$t_node_attributes = array();
$t_node_attributes['label'] = $p_bug_id;

    if( $p_highlight ) {
            $t_node_attributes['color'] = '#0000FF';
            $t_node_attributes['style'] = 'bold, filled';
    } else {
            $t_node_attributes['color'] = 'black';
            $t_node_attributes['style'] = 'filled';
    }

    $t_node_attributes['fillcolor'] = get_status_color( $p_bug->status );

    if( null !== $p_url ) {
            $t_node_attributes['URL'] = $p_url;
    }

++ $t_category = category_full_name( $p_bug->category_id, false );
$t_summary = string_display_line_links( $p_bug->summary );
$t_status = get_enum_element( 'status', $p_bug->status );
-- $t_node_attributes['tooltip'] = '' . $t_category . ' ' . $t_summary;
++ $t_node_attributes['tooltip'] = '[' . $t_status . '] ' . $t_summary;

    $p_graph->add_node( $p_bug_id, $t_node_attributes );

}

atrol

atrol

2016-07-17 17:27

developer   ~0053622

Reopened.
This issue is about relationship graphs and not fixed in 2.0.x.

Issue History

Date Modified Username Field Change
2013-11-08 12:37 ibantxo28 New Issue
2013-11-10 06:45 ibantxo28 Note Added: 0038523
2014-11-25 11:04 vboctor Category graphs => reports
2016-07-09 17:38 vboctor Assigned To => vboctor
2016-07-09 17:38 vboctor Status new => resolved
2016-07-09 17:38 vboctor Resolution open => fixed
2016-07-09 17:38 vboctor Fixed in Version => 2.0.0-beta.1
2016-07-09 17:38 vboctor Target Version => 2.0.0-beta.1
2016-07-17 17:27 atrol Assigned To vboctor =>
2016-07-17 17:27 atrol Status resolved => new
2016-07-17 17:27 atrol Resolution fixed => reopened
2016-07-17 17:27 atrol Note Added: 0053622
2016-07-19 04:21 vboctor Target Version 2.0.0-beta.1 => 2.0.0-beta.2
2016-08-28 10:36 atrol Target Version 2.0.0-beta.2 => 2.0.0-beta.3
2016-10-02 19:35 atrol Target Version 2.0.0-beta.3 => 2.0.0-rc.1
2016-10-30 23:23 vboctor Target Version 2.0.0-rc.1 => 2.0.0-rc.2
2016-11-27 08:14 dregad Fixed in Version 2.0.0-beta.1 =>
2016-11-27 08:20 dregad Target Version 2.0.0-rc.2 => 2.0.0
2016-12-30 15:56 vboctor Target Version 2.0.0 => 2.0.1
2017-02-01 22:49 vboctor Target Version 2.0.1 => 2.2.0
2017-02-26 21:19 vboctor Target Version 2.2.0 => 2.3.0
2017-04-01 00:20 vboctor Target Version 2.3.0 => 2.4.0
2017-04-30 14:53 vboctoradmin Target Version 2.4.0 => 2.5.0
2017-06-04 16:19 atrol Target Version 2.5.0 => 2.6.0